edu.northwestern.at.utils.html

## Class HTMLUtils

- java.lang.Object
- - edu.northwestern.at.utils.html.HTMLUtils

-     public class HTMLUtils
      extends java.lang.Object

  HTML utilities.

  This static class provides various utility methods for manipulating html and xml.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HTMLUtils()` Don't allow instantiation, do allow overrides.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `escapeHTML(java.lang.String s)`
    `static boolean` | `isHTMLTaggedText(java.lang.String text)` Simple-minded test for determining if string is HTML/XML tagged .
    `static java.lang.String` | `stripHTMLTags(java.lang.String taggedText)` Simple-minded tag stripper for HTML/XML .
    `static java.lang.String` | `unescapeHTML(java.lang.String s)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HTMLUtils

          protected HTMLUtils()

      Don't allow instantiation, do allow overrides.

  - ### Method Detail

    - #### isHTMLTaggedText

          public static boolean isHTMLTaggedText(java.lang.String text)

      Simple-minded test for determining if string is HTML/XML tagged .
      Parameters:
        `text` - The text to check.
      Returns:
        True if text appears to be tagged XML/HTML.

    - #### stripHTMLTags

          public static java.lang.String stripHTMLTags(java.lang.String taggedText)

      Simple-minded tag stripper for HTML/XML .
      Parameters:
        `taggedText` - Text from which to strip tags.
      Returns:
        Text with tagged text removed.

    - #### escapeHTML

          public static java.lang.String escapeHTML(java.lang.String s)

    - #### unescapeHTML

          public static java.lang.String unescapeHTML(java.lang.String s)